Bug 1045746 - Network connectivity and IPv6
Summary: Network connectivity and IPv6
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 17:36 UTC by Herald van der Breggen
Modified: 2015-06-29 13:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:41:38 UTC
Type: Bug


Attachments (Terms of Use)
capture by wireshark of ipv6 traffic of fedora 20 machine to facebook home page (10.47 KB, application/gzip)
2013-12-23 13:31 UTC, Herald van der Breggen
no flags Details
capture by wireshark of ipv6 traffic of fedora 20 machine to facebook home page (9.01 KB, application/gzip)
2013-12-23 14:13 UTC, Herald van der Breggen
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1044498 0 unspecified CLOSED Fedora 20 drops IPv6 address 2021-02-22 00:41:40 UTC

Description Herald van der Breggen 2013-12-21 17:36:06 UTC
Description of problem:
After upgrading from fedora 19 to fedora 20 I experienced various network problems. 

Closer investigation teached me a consistent pattern for page requests on facebook.com.

WiFi on, no cable, IPv6 enabled: connect fails.
WiFi on, no cable, IPv6 disabled: success
Wifi off, cable plugged in, IPv6 enabled: connect fails
Wifi off, cable plugged in, IPv6 disabled: success
Wifi on, cable plugged in, (even when IPv6 is disabled on both interfaces): connect fails

Looking with wireshark, I can see repeating retransmits in network traffic when connect fails.

I don't know which component is to blame, let alone the version of it. But it is unlikely to be related to the kernel, since booting a fc19 kernel does not solve it. I had to fill in a component and I picked one which might be unrelated.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Herald van der Breggen 2013-12-21 18:11:33 UTC
Oh, maybe good to add: this happens in a network where IPv6 is operational. With Fedora 19 it was possible the see IPv6 websites. Very well possible the bug is not exposed to non-IPv6 network environments.

Comment 2 Herald van der Breggen 2013-12-23 13:29:30 UTC
I checked ipv6 traffic with another laptop with fedora 19 (with kernel-3.12.5-200.fc19) in the same network as where I experience problems with Fedora 20 installation. On that f19 laptop ipv6 network traffic works as usual.

I used wireshark to capture the traffic on both machines while requesting the facebook.com home page (https). Both communicated over IPv6, bot only the f19 installation was successful. The log of the f20 machine showed retransmits. I'll upload the wireshark output of the f20 machine.

FWIW, ping6 to the facebook ipv6 address was successful on both machines.

Comment 3 Herald van der Breggen 2013-12-23 13:31:32 UTC
Created attachment 840797 [details]
capture by wireshark of ipv6 traffic of fedora 20 machine to facebook home page

Comment 4 Herald van der Breggen 2013-12-23 14:13:59 UTC
Created attachment 840817 [details]
capture by wireshark of ipv6 traffic of fedora 20 machine to facebook home page

useless packets filtered out

Comment 5 Herald van der Breggen 2013-12-23 14:18:43 UTC
I just found out that two interfaces up (wifi + cable) with both ipv6 switched off, does not cause problems. So the bug we are facing seems really related broken ipv6 handling.

Comment 6 Herald van der Breggen 2013-12-24 06:19:26 UTC
(In reply to Herald van der Breggen from comment #5)
> I just found out that two interfaces up (wifi + cable) with both ipv6
> switched off, does not cause problems. So the bug we are facing seems really
> related broken ipv6 handling.

The case with multiple interfaces is not consistent. Sometimes when I experience problems when both interfaces are up, closing one interface helps. Not sure what conclusions to draw here.

Comment 7 Herald van der Breggen 2014-03-26 15:07:35 UTC
I have serious problems with ipv6 again since the latest update. In Fedora 19 everything was stable, but since release 20 I see problems with ipv6 e.g. for ipv6 enabled websites like facebook. The website is only accessable if I disable ipv6 on the network interface. This happens on both of my fedora 20 machines.

Maybe related, I see also serious problems when multiple interfaces are up (e.g. Wifi and ethernet). If my laptop has wifi enabled and no network cable connected, everything works fine, until I plug in the network cable. Then I get timeout errors when accessing websites. When I disable Wifi then suddenly network traffic is sane again.

It looks to me that NetworkManager does not work well when there are multiple ways to communicate (ipv4 via wifi or ipv4 via ethernet or ipv6 via wifi or ipv6 via ethernet). 

Let me know if I can help debugging.

Comment 8 Fedora End Of Life 2015-05-29 10:05:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 13:41:38 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.